import * as React from 'react';
import { renderDataGrid_unstable as baseRender } from '@fluentui/react-components';
import { HeaderRefContextProvider } from '../../contexts/headerRefContext';
import { BodyRefContextProvider } from '../../contexts/bodyRefContext';
/**
 * Render the final JSX of DataGrid
 */ export const renderDataGrid_unstable = (state, contextValues)=>{
    return /*#__PURE__*/ React.createElement(HeaderRefContextProvider, {
        value: state.headerRef
    }, /*#__PURE__*/ React.createElement(BodyRefContextProvider, {
        value: state.bodyRef
    }, baseRender(state, contextValues)));
};

//# sourceMappingURL=renderDataGrid.js.map