import * as React from 'react';
import { renderDataGridRow_unstable } from '@fluentui/react-components';
import { useDataGridRow_unstable } from './useDataGridRow';
import { useDataGridRowStyles_unstable } from './useDataGridRow.styles';
/**
 * DataGridRow component
 */ export const DataGridRow = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const state = useDataGridRow_unstable(props, ref);
    useDataGridRowStyles_unstable(state);
    return renderDataGridRow_unstable(state);
});
DataGridRow.displayName = 'DataGridRow';

//# sourceMappingURL=DataGridRow.js.map