import * as React from 'react';
import { getSlots, useFluent } from '@fluentui/react-components';
import { FixedSizeList as List } from 'react-window';
/**
 * Render the final JSX of DataGridVirtualizedBody
 */ export const renderDataGridBody_unstable = (state)=>{
    const { slots, slotProps } = getSlots(state);
    const { dir } = useFluent();
    return /*#__PURE__*/ React.createElement(slots.root, slotProps.root, /*#__PURE__*/ React.createElement(List, {
        itemSize: state.itemSize,
        width: state.width,
        itemData: state.rows,
        height: state.height,
        itemCount: state.rows.length,
        direction: dir,
        outerRef: state.outerRef,
        ...state.listProps
    }, state.virtualizedRow));
};

//# sourceMappingURL=renderDataGridBody.js.map