import * as React from 'react';
import { renderDataGridHeader_unstable } from '@fluentui/react-components';
import { useDataGridHeader_unstable } from './useDataGridHeader';
import { useDataGridHeaderStyles_unstable } from './useDataGridHeaderStyles.styles';
/**
 * DataGridHeader component
 */ export const DataGridHeader = /*#__PURE__*/ React.forwardRef((props, ref)=>{
    const state = useDataGridHeader_unstable(props, ref);
    useDataGridHeaderStyles_unstable(state);
    return renderDataGridHeader_unstable(state);
});
DataGridHeader.displayName = 'DataGridHeader';

//# sourceMappingURL=DataGridHeader.js.map